/* 
 * This is Java Script (JS) sample of ShellGuard auto login procedure 
 * for telnet session. Tested with Telnet daemon from Red Hat Linux 6.2
 *
 * You can define script directly in your host configuration section 
 * (see end of shellguard.ini) or use external script file (like this).
 *
 */

function SG::Start() 
{
	var w = 1;
	while ( w == 1 ) {
		switch ( SG.Wait(10000, "Last login", "ogin: ", "assword: ", "$ ") ) 
	{
			case 1:
				break;
			case 2:
				SG.Send("your_login_name\n");
				break;
			case 3:
				SG.Send("your_password\n");
				break;
			case 4:
				w = 0;
				break;
			default:
				break;
		}
	}

/*
 * Execute 'top' command on Linux server and wait 15 seconds (15000 msec)
 * then execute 'exit' command on server and close session.
 *
 */
	SG.Send("top\n");
	SG.Sleep( 15000 );
	SG.Send("q");
	SG.Send("exit\n");
	return;
}
